CHROOT(1)

NAZWA
chroot - uruchamia polecenie lub powłokę interaktywną ze specjalnym katalogiem głównym

SKŁADNIA
chroot [OPCJA] NOWY-KATALOG-ROOT [POLECENIE [ARGUMENTY]...]
chroot OPCJA

OPIS

Uruchamia POLECENIE w katalogu głównym / ustawionym na NOWY-KATALOG-ROOT.

--groups=LISTA-GRUP
    dodatkowe grupy w postaci grupa1,grupa2,..,grupaN

--userspec=UŻYTKOWNIK:GRUPA
    użyty zostanie podany UŻYTKOWNIK i GRUPA (podany jako identyfikator liczbowy lub nazwa)

--skip-chdir
    nie zmienia katalogu roboczego na "/"

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli nie podano żadnego polecenia, wykonywane jest '"$SHELL" -i' (domyślnie: '/bin/sh -i').

  Status zakończenia:

125 jeśli samo polecenie chroot zawiedzie

126 jeśli odnaleziono POLECENIE, ale nie można go wywołać

127 jeśli nie znaleziono POLECENIA

-   w pozostałych przypadkach jest to kod zakończenia POLECENIA

AUTOR
Napisane przez Rolanda McGratha.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
chroot(2)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/chroot>
lub lokalnie, za pomocą info 'coreutils) chroot invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.